Connexion
Don't have an account yet? You can create one. As registered user you have some advantages like theme manager, comments configuration and post comments with your name.
Activité du Site

Pages showed since 25/08/2019 : 1 503 309

  • Nb of members 20
  • Nb of articles 151
  • Nb of forums 17
  • Nb of topics 10
  • Nb of reviews 0

Top 10  Statistics

AfA One 1.2 by AMIGASYSTEM 633


AMIGASYSTEM has just released a preinstalled software pack for Amiga Classic requiers AmigaOS 3.9 and BoingBall 1, 2, 3 and 4.

See a screenshot.

Visit the dedicated webpage on Amiga-Storage.

Visit the dedicated thread on English Amiga Board.


papiosaurpapiosaur Published on : Mercredi, août 28 @ 17:16:29

JBAM JBAM
Cela serait fun une version basé sur 3.1.4.1 au lieu du 3.9
papiosaur papiosaur
Je crois que c'est dans les tuyaux ;-)
The comments are owned by the poster. We aren't responsible for their content.